Subject: bug#20663: page.el (forward-page): Avoid skipping pages

From: Pierre Neidhardt <[email-masked]>
Date: Sun, 10 Apr 2016 08:29:24 +0700

I did not expect this patch to be so confusing, but let me clarify the above questions:

- `forward-page' is called by `narrow-to-page', which is bound to 'C-x n p' by
  default.

- All the patch does it make the code consistent with its comments, that is:

	;; In case the page-delimiter matches the null string,
	;; don't find a match without moving.

- If you try the recipe (I just did on Emacs 24.5.1, don't have time to check
now on upstream), you'll see that a page gets skipped, which is not the desired
behaviour.

- As for side effects, there might be some, althought I haven't noticed anything
in a year of use. If there is, then it is a bug in the caller.

-- 
Pierre Neidhardt